Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class GroovyFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          groovy.ui.text.StructuredSyntaxDocumentFilter
              groovy.ui.text.GroovyFilter

    public class GroovyFilter
    extends StructuredSyntaxDocumentFilter

Authors:
  Evan "Hippy" Slatis

Field Summary
`static java.lang.String` | `COMMENT`
`static java.lang.String` | `DIGIT`
`static java.lang.String` | `IDENT`
`static java.lang.String` | `LEFT_PARENS`
`static java.lang.String` | `OPERATION`
`static java.lang.String` | `QUOTES`
`static java.lang.String` | `RESERVED_WORD`
`static java.lang.String[]` | `RESERVED_WORDS`
`static java.lang.String` | `SINGLE_QUOTES`
`static java.lang.String` | `SLASHY_QUOTES`
`static java.lang.String` | `SLASH_SLASH_COMMENT`
`static java.lang.String` | `SLASH_STAR_COMMENT`

Fields inherited from class StructuredSyntaxDocumentFilter
TAB_REPLACEMENT, lexer, mlTextRunSet, styledDocument

Constructor Summary
`GroovyFilter(javax.swing.text.DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

Method Summary
`static void` | `installAutoTabAction(javax.swing.text.JTextComponent tComp)`

Methods inherited from class StructuredSyntaxDocumentFilter
createLexerNode, getRootNode, insertString, parseDocument, remove, replace

Methods inherited from class javax.swing.text.DocumentFilter
javax.swing.text.DocumentFilter#insertString(javax.swing.text.DocumentFilter$FilterBypass, int, java.lang.String, javax.swing.text.AttributeSet), javax.swing.text.DocumentFilter#replace(javax.swing.text.DocumentFilter$FilterBypass, int, int, java.lang.String, javax.swing.text.AttributeSet), javax.swing.text.DocumentFilter#remove(javax.swing.text.DocumentFilter$FilterBypass, int, int), javax.swing.text.DocumentFilter#wait(long), javax.swing.text.DocumentFilter#wait(long, int), javax.swing.text.DocumentFilter#wait(), javax.swing.text.DocumentFilter#equals(java.lang.Object), javax.swing.text.DocumentFilter#toString(), javax.swing.text.DocumentFilter#hashCode(), javax.swing.text.DocumentFilter#getClass(), javax.swing.text.DocumentFilter#notify(), javax.swing.text.DocumentFilter#notifyAll()

Field Detail

### COMMENT

    public static final java.lang.String COMMENT

### DIGIT

    public static final java.lang.String DIGIT

### IDENT

    public static final java.lang.String IDENT

### LEFT_PARENS

    public static final java.lang.String LEFT_PARENS

### OPERATION

    public static final java.lang.String OPERATION

### QUOTES

    public static final java.lang.String QUOTES

### RESERVED_WORD

    public static final java.lang.String RESERVED_WORD

### RESERVED_WORDS

    public static final java.lang.String[] RESERVED_WORDS

### SINGLE_QUOTES

    public static final java.lang.String SINGLE_QUOTES

### SLASHY_QUOTES

    public static final java.lang.String SLASHY_QUOTES

### SLASH_SLASH_COMMENT

    public static final java.lang.String SLASH_SLASH_COMMENT

### SLASH_STAR_COMMENT

    public static final java.lang.String SLASH_STAR_COMMENT

Constructor Detail

### GroovyFilter

    public GroovyFilter(javax.swing.text.DefaultStyledDocument doc)

  Creates a new instance of GroovyFilter

Method Detail

### installAutoTabAction

    public static void installAutoTabAction(javax.swing.text.JTextComponent tComp)

Groovy Documentation